// Document Ready
$(document).ready(function() {
	// HTML5 placeholder support
	$('input, textarea').placeholder();
	// Perfect radios / checkboxes (place <input> inside <label>)
	$('input[type=radio]').parents('li').addClass('radio');
	$('input[type=checkbox]').parents('li').addClass('checkbox');
	// Switch main nav
	$('header .menu').Touchdown({ parent: 'header' });
	$('footer .menu').Touchdown({ parent: 'footer', title: 'Information Links:' });
	// Reveal search
	$('.search label').click(function(){
		$('.search div').fadeToggle();
		$(this).toggleClass('open');
	});
});

// Window Load
$(window).bind("load", function() {
	// Fade in on load to combat FOUT
  	$("#container").fadeIn();
});